name is what goes into a step's action_name, and the keys of its options are what go into that step's options.workflows:read OAuth2 scope.X-Api-Key: ********************curl --location 'https://api.leadfeeder.com/v1/workflows/action-definitions?account_id=123456' \
--header 'X-Api-Key: <api-key>'{
"data": [
{
"type": "workflow_action_definition",
"id": "add_organization_to_list",
"attributes": {
"name": "add_organization_to_list",
"input": {
"entity_type": "company",
"required": true,
"array": false,
"available_options": null
},
"output": {
"entity_type": "company"
},
"options": {
"list_id": {
"entity_type": "company_list",
"required": true,
"array": false,
"available_options": null
}
}
}
},
{
"type": "workflow_action_definition",
"id": "send_company_to_slack",
"attributes": {
"name": "send_company_to_slack",
"input": {
"entity_type": "company",
"required": true,
"array": false,
"available_options": null
},
"output": {
"entity_type": "http_response"
},
"options": {
"channel": {
"entity_type": "string",
"required": true,
"array": false,
"available_options": null
}
}
}
}
],
"meta": {
"num_results": 2,
"request_id": "cf054205-dd8c-4473-8689-07c30fe0789f"
}
}